# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: DriveControlServicer.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import sila2lib.framework.SiLAFramework_pb2 as SiLAFramework__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='DriveControlServicer.proto',
  package='sila2.org.silastandard.examples.drivecontrolservicer.v1',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x1a\x44riveControlServicer.proto\x12\x37sila2.org.silastandard.examples.drivecontrolservicer.v1\x1a\x13SiLAFramework.proto\"\x16\n\x14StartPump_Parameters\"J\n\x13StartPump_Responses\x12\x33\n\x0bStartStatus\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x15\n\x13StopPump_Parameters\"H\n\x12StopPump_Responses\x12\x32\n\nStopStatus\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"O\n\x1bGetPumpDirection_Parameters\x12\x30\n\x07\x43hannel\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"S\n\x1aGetPumpDirection_Responses\x12\x35\n\rPumpDirection\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\"\n SetDirectionClockwise_Parameters\"c\n\x1fSetDirectionClockwise_Responses\x12@\n\x18SetDirectionClockwiseSet\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\")\n\'SetDirectionCounterClockwise_Parameters\"q\n&SetDirectionCounterClockwise_Responses\x12G\n\x1fSetDirectionCounterClockwiseSet\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String2\xe6\x07\n\x14\x44riveControlServicer\x12\xaa\x01\n\tStartPump\x12M.sila2.org.silastandard.examples.drivecontrolservicer.v1.StartPump_Parameters\x1aL.sila2.org.silastandard.examples.drivecontrolservicer.v1.StartPump_Responses\"\x00\x12\xa7\x01\n\x08StopPump\x12L.sila2.org.silastandard.examples.drivecontrolservicer.v1.StopPump_Parameters\x1aK.sila2.org.silastandard.examples.drivecontrolservicer.v1.StopPump_Responses\"\x00\x12\xbf\x01\n\x10GetPumpDirection\x12T.sila2.org.silastandard.examples.drivecontrolservicer.v1.GetPumpDirection_Parameters\x1aS.sila2.org.silastandard.examples.drivecontrolservicer.v1.GetPumpDirection_Responses\"\x00\x12\xce\x01\n\x15SetDirectionClockwise\x12Y.sila2.org.silastandard.examples.drivecontrolservicer.v1.SetDirectionClockwise_Parameters\x1aX.sila2.org.silastandard.examples.drivecontrolservicer.v1.SetDirectionClockwise_Responses\"\x00\x12\xe3\x01\n\x1cSetDirectionCounterClockwise\x12`.sila2.org.silastandard.examples.drivecontrolservicer.v1.SetDirectionCounterClockwise_Parameters\x1a_.sila2.org.silastandard.examples.drivecontrolservicer.v1.SetDirectionCounterClockwise_Responses\"\x00\x62\x06proto3'
  ,
  dependencies=[SiLAFramework__pb2.DESCRIPTOR,])




_STARTPUMP_PARAMETERS = _descriptor.Descriptor(
  name='StartPump_Parameters',
  full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.StartPump_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=108,
  serialized_end=130,
)


_STARTPUMP_RESPONSES = _descriptor.Descriptor(
  name='StartPump_Responses',
  full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.StartPump_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='StartStatus', full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.StartPump_Responses.StartStatus', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=132,
  serialized_end=206,
)


_STOPPUMP_PARAMETERS = _descriptor.Descriptor(
  name='StopPump_Parameters',
  full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.StopPump_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=208,
  serialized_end=229,
)


_STOPPUMP_RESPONSES = _descriptor.Descriptor(
  name='StopPump_Responses',
  full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.StopPump_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='StopStatus', full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.StopPump_Responses.StopStatus', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=231,
  serialized_end=303,
)


_GETPUMPDIRECTION_PARAMETERS = _descriptor.Descriptor(
  name='GetPumpDirection_Parameters',
  full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.GetPumpDirection_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='Channel', full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.GetPumpDirection_Parameters.Channel', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=305,
  serialized_end=384,
)


_GETPUMPDIRECTION_RESPONSES = _descriptor.Descriptor(
  name='GetPumpDirection_Responses',
  full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.GetPumpDirection_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='PumpDirection', full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.GetPumpDirection_Responses.PumpDirection', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=386,
  serialized_end=469,
)


_SETDIRECTIONCLOCKWISE_PARAMETERS = _descriptor.Descriptor(
  name='SetDirectionClockwise_Parameters',
  full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.SetDirectionClockwise_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=471,
  serialized_end=505,
)


_SETDIRECTIONCLOCKWISE_RESPONSES = _descriptor.Descriptor(
  name='SetDirectionClockwise_Responses',
  full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.SetDirectionClockwise_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetDirectionClockwiseSet', full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.SetDirectionClockwise_Responses.SetDirectionClockwiseSet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=507,
  serialized_end=606,
)


_SETDIRECTIONCOUNTERCLOCKWISE_PARAMETERS = _descriptor.Descriptor(
  name='SetDirectionCounterClockwise_Parameters',
  full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.SetDirectionCounterClockwise_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=608,
  serialized_end=649,
)


_SETDIRECTIONCOUNTERCLOCKWISE_RESPONSES = _descriptor.Descriptor(
  name='SetDirectionCounterClockwise_Responses',
  full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.SetDirectionCounterClockwise_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetDirectionCounterClockwiseSet', full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.SetDirectionCounterClockwise_Responses.SetDirectionCounterClockwiseSet', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=651,
  serialized_end=764,
)

_STARTPUMP_RESPONSES.fields_by_name['StartStatus'].message_type = SiLAFramework__pb2._STRING
_STOPPUMP_RESPONSES.fields_by_name['StopStatus'].message_type = SiLAFramework__pb2._STRING
_GETPUMPDIRECTION_PARAMETERS.fields_by_name['Channel'].message_type = SiLAFramework__pb2._INTEGER
_GETPUMPDIRECTION_RESPONSES.fields_by_name['PumpDirection'].message_type = SiLAFramework__pb2._STRING
_SETDIRECTIONCLOCKWISE_RESPONSES.fields_by_name['SetDirectionClockwiseSet'].message_type = SiLAFramework__pb2._STRING
_SETDIRECTIONCOUNTERCLOCKWISE_RESPONSES.fields_by_name['SetDirectionCounterClockwiseSet'].message_type = SiLAFramework__pb2._STRING
DESCRIPTOR.message_types_by_name['StartPump_Parameters'] = _STARTPUMP_PARAMETERS
DESCRIPTOR.message_types_by_name['StartPump_Responses'] = _STARTPUMP_RESPONSES
DESCRIPTOR.message_types_by_name['StopPump_Parameters'] = _STOPPUMP_PARAMETERS
DESCRIPTOR.message_types_by_name['StopPump_Responses'] = _STOPPUMP_RESPONSES
DESCRIPTOR.message_types_by_name['GetPumpDirection_Parameters'] = _GETPUMPDIRECTION_PARAMETERS
DESCRIPTOR.message_types_by_name['GetPumpDirection_Responses'] = _GETPUMPDIRECTION_RESPONSES
DESCRIPTOR.message_types_by_name['SetDirectionClockwise_Parameters'] = _SETDIRECTIONCLOCKWISE_PARAMETERS
DESCRIPTOR.message_types_by_name['SetDirectionClockwise_Responses'] = _SETDIRECTIONCLOCKWISE_RESPONSES
DESCRIPTOR.message_types_by_name['SetDirectionCounterClockwise_Parameters'] = _SETDIRECTIONCOUNTERCLOCKWISE_PARAMETERS
DESCRIPTOR.message_types_by_name['SetDirectionCounterClockwise_Responses'] = _SETDIRECTIONCOUNTERCLOCKWISE_RESPONSES
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

StartPump_Parameters = _reflection.GeneratedProtocolMessageType('StartPump_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _STARTPUMP_PARAMETERS,
  '__module__' : 'DriveControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.drivecontrolservicer.v1.StartPump_Parameters)
  })
_sym_db.RegisterMessage(StartPump_Parameters)

StartPump_Responses = _reflection.GeneratedProtocolMessageType('StartPump_Responses', (_message.Message,), {
  'DESCRIPTOR' : _STARTPUMP_RESPONSES,
  '__module__' : 'DriveControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.drivecontrolservicer.v1.StartPump_Responses)
  })
_sym_db.RegisterMessage(StartPump_Responses)

StopPump_Parameters = _reflection.GeneratedProtocolMessageType('StopPump_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _STOPPUMP_PARAMETERS,
  '__module__' : 'DriveControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.drivecontrolservicer.v1.StopPump_Parameters)
  })
_sym_db.RegisterMessage(StopPump_Parameters)

StopPump_Responses = _reflection.GeneratedProtocolMessageType('StopPump_Responses', (_message.Message,), {
  'DESCRIPTOR' : _STOPPUMP_RESPONSES,
  '__module__' : 'DriveControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.drivecontrolservicer.v1.StopPump_Responses)
  })
_sym_db.RegisterMessage(StopPump_Responses)

GetPumpDirection_Parameters = _reflection.GeneratedProtocolMessageType('GetPumpDirection_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETPUMPDIRECTION_PARAMETERS,
  '__module__' : 'DriveControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.drivecontrolservicer.v1.GetPumpDirection_Parameters)
  })
_sym_db.RegisterMessage(GetPumpDirection_Parameters)

GetPumpDirection_Responses = _reflection.GeneratedProtocolMessageType('GetPumpDirection_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETPUMPDIRECTION_RESPONSES,
  '__module__' : 'DriveControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.drivecontrolservicer.v1.GetPumpDirection_Responses)
  })
_sym_db.RegisterMessage(GetPumpDirection_Responses)

SetDirectionClockwise_Parameters = _reflection.GeneratedProtocolMessageType('SetDirectionClockwise_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETDIRECTIONCLOCKWISE_PARAMETERS,
  '__module__' : 'DriveControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.drivecontrolservicer.v1.SetDirectionClockwise_Parameters)
  })
_sym_db.RegisterMessage(SetDirectionClockwise_Parameters)

SetDirectionClockwise_Responses = _reflection.GeneratedProtocolMessageType('SetDirectionClockwise_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETDIRECTIONCLOCKWISE_RESPONSES,
  '__module__' : 'DriveControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.drivecontrolservicer.v1.SetDirectionClockwise_Responses)
  })
_sym_db.RegisterMessage(SetDirectionClockwise_Responses)

SetDirectionCounterClockwise_Parameters = _reflection.GeneratedProtocolMessageType('SetDirectionCounterClockwise_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETDIRECTIONCOUNTERCLOCKWISE_PARAMETERS,
  '__module__' : 'DriveControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.drivecontrolservicer.v1.SetDirectionCounterClockwise_Parameters)
  })
_sym_db.RegisterMessage(SetDirectionCounterClockwise_Parameters)

SetDirectionCounterClockwise_Responses = _reflection.GeneratedProtocolMessageType('SetDirectionCounterClockwise_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETDIRECTIONCOUNTERCLOCKWISE_RESPONSES,
  '__module__' : 'DriveControlServicer_pb2'
  # @@protoc_insertion_point(class_scope:sila2.org.silastandard.examples.drivecontrolservicer.v1.SetDirectionCounterClockwise_Responses)
  })
_sym_db.RegisterMessage(SetDirectionCounterClockwise_Responses)



_DRIVECONTROLSERVICER = _descriptor.ServiceDescriptor(
  name='DriveControlServicer',
  full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.DriveControlServicer',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=767,
  serialized_end=1765,
  methods=[
  _descriptor.MethodDescriptor(
    name='StartPump',
    full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.DriveControlServicer.StartPump',
    index=0,
    containing_service=None,
    input_type=_STARTPUMP_PARAMETERS,
    output_type=_STARTPUMP_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='StopPump',
    full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.DriveControlServicer.StopPump',
    index=1,
    containing_service=None,
    input_type=_STOPPUMP_PARAMETERS,
    output_type=_STOPPUMP_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetPumpDirection',
    full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.DriveControlServicer.GetPumpDirection',
    index=2,
    containing_service=None,
    input_type=_GETPUMPDIRECTION_PARAMETERS,
    output_type=_GETPUMPDIRECTION_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetDirectionClockwise',
    full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.DriveControlServicer.SetDirectionClockwise',
    index=3,
    containing_service=None,
    input_type=_SETDIRECTIONCLOCKWISE_PARAMETERS,
    output_type=_SETDIRECTIONCLOCKWISE_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetDirectionCounterClockwise',
    full_name='sila2.org.silastandard.examples.drivecontrolservicer.v1.DriveControlServicer.SetDirectionCounterClockwise',
    index=4,
    containing_service=None,
    input_type=_SETDIRECTIONCOUNTERCLOCKWISE_PARAMETERS,
    output_type=_SETDIRECTIONCOUNTERCLOCKWISE_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_DRIVECONTROLSERVICER)

DESCRIPTOR.services_by_name['DriveControlServicer'] = _DRIVECONTROLSERVICER

# @@protoc_insertion_point(module_scope)
